﻿/**Begin D:\PDM_UPGRADE_1.4\PDM_UPGRADE\PDM1\SOEBS_constraint.sql **/
EXEC P_ALTERPK 'PK_SOEBS_CADRESORTMAPPING', 'T_SOEBS_CADRESORTMAPPING', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_SOEBS_CADRESORTMAPPING' AND KSQL_INDNAME = 'IDX_SOEBS_CADRESORTMAP') CREATE INDEX IDX_SOEBS_CADRESORTMAP ON T_SOEBS_CADRESORTMAPPING ( FBIZENTITYID );


EXEC P_ALTERPK 'PK_SOEBS_CADRESORTENTRY_L', 'T_SOEBS_CADRESORTENTRY_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_SOEBS_CADRESORTENTRY_L' AND KSQL_INDNAME = 'IDX_SOEBS_CADRESORTENTRY_L') CREATE INDEX IDX_SOEBS_CADRESORTENTRY_L ON T_SOEBS_CADRESORTENTRY_L ( FENTRYID ,FLOCALEID );


EXEC P_ALTERPK 'PK_SOEBS_ROSTERBASELOCA', 'T_SOEBS_ROSTERBASELOCA', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_SOEBS_ROSTERBASELOCA' AND KSQL_INDNAME = 'IDX_SOEBS_ROSTERBASELOCA') CREATE INDEX IDX_SOEBS_ROSTERBASELOCA ON T_SOEBS_ROSTERBASELOCA ( FCADREFILESNAPID ,FBUSINESSSTATUS );


EXEC P_ALTERPK 'PK_SOEBS_ROSTEREMPCADRE', 'T_SOEBS_ROSTEREMPCADRE', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_SOEBS_ROSTEREMPCADRE' AND KSQL_INDNAME = 'IDX_SOEBS_ROSTEREMPCADRE') CREATE INDEX IDX_SOEBS_ROSTEREMPCADRE ON T_SOEBS_ROSTEREMPCADRE ( FCADREFILESNAPID );


EXEC P_ALTERPK 'PK_SOEBS_ROSTEREMPENTREL', 'T_SOEBS_ROSTEREMPENTREL', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_SOEBS_ROSTEREMPENTREL' AND KSQL_INDNAME = 'IDX_SOEBS_ROSTEREMPENT') CREATE INDEX IDX_SOEBS_ROSTEREMPENT ON T_SOEBS_ROSTEREMPENTREL ( FCADREFILESNAPID ,FISLATESTRECORD );


EXEC P_ALTERPK 'PK_SOEBS_ROSTEREMPPOSREL', 'T_SOEBS_ROSTEREMPPOSREL', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_SOEBS_ROSTEREMPPOSREL' AND KSQL_INDNAME = 'IDX_SOEBS_ROSTEREMPPOSREL') CREATE INDEX IDX_SOEBS_ROSTEREMPPOSREL ON T_SOEBS_ROSTEREMPPOSREL ( FCADREFILESNAPID ,FDEPEMPID );


EXEC P_ALTERPK 'PK_SOEBS_ROSTERENTITYCNF', 'T_SOEBS_ROSTERENTITYCNF', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_SOEBS_ROSTERENTITYCNF' AND KSQL_INDNAME = 'IDX_SOEBS_ROSTERCNF') CREATE INDEX IDX_SOEBS_ROSTERCNF ON T_SOEBS_ROSTERENTITYCNF ( FCONFENTITYID );


EXEC P_ALTERPK 'PK_SOEBS_ROSTERPERCONTACT', 'T_SOEBS_ROSTERPERCONTACT', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_SOEBS_ROSTERPERCONTACT' AND KSQL_INDNAME = 'IDX_SOEBS_ROSTERCONTACT') CREATE INDEX IDX_SOEBS_ROSTERCONTACT ON T_SOEBS_ROSTERPERCONTACT ( FCADREFILESNAPID );


EXEC P_ALTERPK 'PK_SOEBS_ROSTERPERCRE', 'T_SOEBS_ROSTERPERCRE', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_SOEBS_ROSTERPERCRE' AND KSQL_INDNAME = 'IDX_SOEBS_ROSTERPERCRE') CREATE INDEX IDX_SOEBS_ROSTERPERCRE ON T_SOEBS_ROSTERPERCRE ( FCADREFILESNAPID ,FISMAJOR );


EXEC P_ALTERPK 'PK_SOEBS_ROSTERPEREDUEXP', 'T_SOEBS_ROSTERPEREDUEXP', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_SOEBS_ROSTERPEREDUEXP' AND KSQL_INDNAME = 'IDX_SOEBS_ROSTERERPPRE') CREATE INDEX IDX_SOEBS_ROSTERERPPRE ON T_SOEBS_ROSTERPEREDUEXP ( FCADREFILESNAPID ,FISHIGHESTDEGREE );


EXEC P_ALTERPK 'PK_SOEBS_ROSTERPERNOPRO', 'T_SOEBS_ROSTERPERNOPRO', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_SOEBS_ROSTERPERNOPRO' AND KSQL_INDNAME = 'IDX_SOEBS_ROSTERPERNOPRO') CREATE INDEX IDX_SOEBS_ROSTERPERNOPRO ON T_SOEBS_ROSTERPERNOPRO ( FCADREFILESNAPID );


EXEC P_ALTERPK 'PK_SOEBS_ROSTERPEROCPQUAL', 'T_SOEBS_ROSTERPEROCPQUAL', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_SOEBS_ROSTERPEROCPQUAL' AND KSQL_INDNAME = 'IDX_SOEBS_ROSTERPEROCP') CREATE INDEX IDX_SOEBS_ROSTERPEROCP ON T_SOEBS_ROSTERPEROCPQUAL ( FCADREFILESNAPID ,FISMAJOR );


EXEC P_ALTERPK 'PK_SOEBS_ROSTERPERPROTIT', 'T_SOEBS_ROSTERPERPROTIT', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_SOEBS_ROSTERPERPROTIT' AND KSQL_INDNAME = 'IDX_SOEBS_ROSTERPERPRO') CREATE INDEX IDX_SOEBS_ROSTERPERPRO ON T_SOEBS_ROSTERPERPROTIT ( FCADREFILESNAPID ,FISHIGH );


EXEC P_ALTERPK 'PK_SOEBS_ROSTERPERREGION', 'T_SOEBS_ROSTERPERREGION', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_SOEBS_ROSTERPERREGION' AND KSQL_INDNAME = 'IDX_SOEBS_ROSTERREGION') CREATE INDEX IDX_SOEBS_ROSTERREGION ON T_SOEBS_ROSTERPERREGION ( FCADREFILESNAPID );


EXEC P_ALTERPK 'PK_SOEBS_ROSTERPERTSPROP', 'T_SOEBS_ROSTERPERTSPROP', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_SOEBS_ROSTERPERTSPROP' AND KSQL_INDNAME = 'IDX_SOEBS_ROSTERPERPROP') CREATE INDEX IDX_SOEBS_ROSTERPERPROP ON T_SOEBS_ROSTERPERTSPROP ( FCADREFILESNAPID );


EXEC P_ALTERPK 'PK_SOEBS_DISPLAYENTRY', 'T_SOEBS_DISPLAYENTRY', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_SOEBS_DISPLAYENTRY' AND KSQL_INDNAME = 'IDX_SOEBS_DISPLAYENTRY') CREATE INDEX IDX_SOEBS_DISPLAYENTRY ON T_SOEBS_DISPLAYENTRY ( FID );


EXEC P_ALTERPK 'PK_SOEBS_DISPLAYENTRY_L', 'T_SOEBS_DISPLAYENTRY_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_SOEBS_DISPLAYENTRY_L' AND KSQL_INDNAME = 'IDX_SOEBS_DISPLAYENTRY_L') CREATE INDEX IDX_SOEBS_DISPLAYENTRY_L ON T_SOEBS_DISPLAYENTRY_L ( FENTRYID ,FLOCALEID );


EXEC P_ALTERPK 'PK_SOEBS_DISPLAYPLAN', 'T_SOEBS_DISPLAYPLAN', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_SOEBS_DISPLAYPLAN' AND KSQL_INDNAME = 'IDX_SOEBS_DISPLAYPLAN') CREATE INDEX IDX_SOEBS_DISPLAYPLAN ON T_SOEBS_DISPLAYPLAN ( FPERSONID );


EXEC P_ALTERPK 'PK_SOEBS_DISPLAYPLAN_L', 'T_SOEBS_DISPLAYPLAN_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_SOEBS_DISPLAYPLAN_L' AND KSQL_INDNAME = 'IDX_SOEBS_DISPLAYPLAN_L') CREATE INDEX IDX_SOEBS_DISPLAYPLAN_L ON T_SOEBS_DISPLAYPLAN_L ( FID ,FLOCALEID );



/**End D:\PDM_UPGRADE_1.4\PDM_UPGRADE\PDM1\SOEBS_constraint.sql **/
