﻿/**Begin D:\PDM_UPGRADE_1.4\PDM_UPGRADE\PDM1\SOEBS_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_SOEBS_BAKCADREFILE' AND KSQL_COL_NAME ='FSTDPOSITION')
 ALTER TABLE T_SOEBS_BAKCADREFILE ADD (FSTDPOSITION BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_SOEBS_BAKCADREFILE' AND KSQL_COL_NAME ='FREORGANIZATION')
 ALTER TABLE T_SOEBS_BAKCADREFILE ADD (FREORGANIZATION BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_SOEBS_BAKCADREFILE' AND KSQL_COL_NAME ='FIDENSUBJECT')
 ALTER TABLE T_SOEBS_BAKCADREFILE ADD (FIDENSUBJECT VARCHAR(50) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_SOEBS_BAKCADREFILE' AND KSQL_COL_NAME ='FIDESSTARTDATE')
 ALTER TABLE T_SOEBS_BAKCADREFILE ADD (FIDESSTARTDATE DATETIME );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_SOEBS_TOBEINTOPOOL')
 CREATE TABLE T_SOEBS_TOBEINTOPOOL (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER VARCHAR(60) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FSTATUS VARCHAR(2) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FENABLE VARCHAR(2) DEFAULT ' ' NOT NULL,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FSIMPLENAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FDESCRIPTION NVARCHAR(255) DEFAULT ' ' NOT NULL,
FINDEX INT DEFAULT 0 NOT NULL,
FISSYSPRESET CHAR(1) DEFAULT '0' NOT NULL,
FDISABLERID BIGINT DEFAULT 0 NOT NULL,
FDISABLEDATE DATETIME,
FMEETSUBJECT NVARCHAR(100) DEFAULT ' ' NOT NULL,
FMEETLOCATION NVARCHAR(100) DEFAULT ' ' NOT NULL,
FPARTYILLUSTRATE NVARCHAR(255) DEFAULT ' ' NOT NULL,
FREMEETSUBJCET NVARCHAR(50) DEFAULT ' ' NOT NULL,
FREMEETLOCATION NVARCHAR(50) DEFAULT ' ' NOT NULL,
FREMEETILLUSTRATE NVARCHAR(50) DEFAULT ' ' NOT NULL,
FTALKLOCATION NVARCHAR(50) DEFAULT ' ' NOT NULL,
FTALKILLUSTRATE NVARCHAR(50) DEFAULT ' ' NOT NULL,
FREVIWER BIGINT DEFAULT 0 NOT NULL,
FREVIEWILLUSTRATE NVARCHAR(50) DEFAULT ' ' NOT NULL,
FFULLNAME NVARCHAR(50) DEFAULT ' ' NOT NULL,
FGENDER BIGINT DEFAULT 0 NOT NULL,
FCOMPANYID BIGINT DEFAULT 0 NOT NULL,
FADMINORGID BIGINT DEFAULT 0 NOT NULL,
FJOBID BIGINT DEFAULT 0 NOT NULL,
FWORKLOCATION NVARCHAR(50) DEFAULT ' ' NOT NULL,
FSENIORITY NVARCHAR(50) DEFAULT ' ' NOT NULL,
FEMPSTATUSID BIGINT DEFAULT 0 NOT NULL,
FPOSITION BIGINT DEFAULT 0 NOT NULL,
FSTPOSITION BIGINT DEFAULT 0 NOT NULL,
FEMPLOYEEID BIGINT DEFAULT 0 NOT NULL,
FDEPEMPID BIGINT DEFAULT 0 NOT NULL,
FFULLNUMBER VARCHAR(50) DEFAULT ' ' NOT NULL,
FPICTUREFIELD VARCHAR(255) DEFAULT ' ' NOT NULL,
FBAKSURVEY CHAR(1) DEFAULT '0' NOT NULL,
FBAKAPPLY CHAR(1) DEFAULT '0' NOT NULL,
FBAKTRAININFO CHAR(1) DEFAULT '0' NOT NULL,
FBAKRECOMINFO CHAR(1) DEFAULT '0' NOT NULL,
FBAKEXAMINE CHAR(1) DEFAULT '0' NOT NULL,
FREPORTORGID BIGINT DEFAULT 0 NOT NULL,
FAPPFORM VARCHAR(50) DEFAULT ' ' NOT NULL,
FMANAGEORGID BIGINT DEFAULT 0 NOT NULL,
FGENERATIONTIME DATETIME,
FORGID BIGINT DEFAULT 0 NOT NULL,
FEMPPOSORGRELID BIGINT DEFAULT 0 NOT NULL,
FIDENSUBJECT NVARCHAR(50) DEFAULT ' ' NOT NULL,
FIDENDATE DATETIME,
FREPDATE DATETIME,
FFILESTATUS VARCHAR(10) DEFAULT ' ' NOT NULL,
FRESEARCHERID BIGINT DEFAULT 0 NOT NULL,
FAPPFORMID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_SOEBS_TOBEINTOPOOL_L')
 CREATE TABLE T_SOEBS_TOBEINTOPOOL_L (
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FPKID VARCHAR(18) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FSIMPLENAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FDESCRIPTION NVARCHAR(255) DEFAULT ' ' NOT NULL,
FMEETSUBJECT NVARCHAR(100) DEFAULT ' ' NOT NULL,
FMEETLOCATION NVARCHAR(100) DEFAULT ' ' NOT NULL,
FPARTYILLUSTRATE NVARCHAR(255) DEFAULT ' ' NOT NULL,
FREMEETSUBJCET NVARCHAR(50) DEFAULT ' ' NOT NULL,
FREMEETLOCATION NVARCHAR(50) DEFAULT ' ' NOT NULL,
FREMEETILLUSTRATE NVARCHAR(50) DEFAULT ' ' NOT NULL,
FTALKLOCATION NVARCHAR(50) DEFAULT ' ' NOT NULL,
FTALKILLUSTRATE NVARCHAR(50) DEFAULT ' ' NOT NULL,
FREVIWER BIGINT DEFAULT 0 NOT NULL,
FREVIEWILLUSTRATE NVARCHAR(50) DEFAULT ' ' NOT NULL,
FFULLNAME NVARCHAR(50) DEFAULT ' ' NOT NULL,
FWORKLOCATION NVARCHAR(50) DEFAULT ' ' NOT NULL,
FSENIORITY NVARCHAR(50) DEFAULT ' ' NOT NULL,
FIDENSUBJECT NVARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_SOEBS_TOBEINTOPOOL_P')
 CREATE TABLE T_SOEBS_TOBEINTOPOOL_P (
FID BIGINT DEFAULT 0 NOT NULL,
FMEETTIME DATETIME,
FMEETCONCLUSION VARCHAR(10) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_SOEBS_TOBEINTOPOOL_B')
 CREATE TABLE T_SOEBS_TOBEINTOPOOL_B (
FID BIGINT DEFAULT 0 NOT NULL,
FRESEARCHMEET CHAR(1) DEFAULT '0' NOT NULL,
FRESEARCHTALK CHAR(1) DEFAULT '0' NOT NULL,
FPERSONFILEREVIEW CHAR(1) DEFAULT '0' NOT NULL,
FREMEETTIME DATETIME,
FREMEETCONCLUSION VARCHAR(10) DEFAULT ' ' NOT NULL,
FTALKDATE DATETIME,
FTALKOPINION VARCHAR(10) DEFAULT ' ' NOT NULL,
FREVIEWDATE DATETIME,
FREVIEWOPINION VARCHAR(10) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_SOEBS_TOBEINTOPOOL_A')
 CREATE TABLE T_SOEBS_TOBEINTOPOOL_A (
FID BIGINT DEFAULT 0 NOT NULL,
FAPPDATE DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_SOEBS_POTRAININFO')
 CREATE TABLE T_SOEBS_POTRAININFO (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FTRAINTARGETID BIGINT DEFAULT 0 NOT NULL,
FTRAINMEASUREID BIGINT DEFAULT 0 NOT NULL,
FTRAINRESULT VARCHAR(10) DEFAULT ' ' NOT NULL,
FTRAINDESC NVARCHAR(500) DEFAULT ' ' NOT NULL,
FENTRYBOIDTRAIN BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_SOEBS_POTRAININFO_L')
 CREATE TABLE T_SOEBS_POTRAININFO_L (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FPKID VARCHAR(18) DEFAULT ' ' NOT NULL,
FTRAINDESC NVARCHAR(500) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_SOEBS_PORECOMINFO')
 CREATE TABLE T_SOEBS_PORECOMINFO (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FRECOMORGTYPE VARCHAR(10) DEFAULT ' ' NOT NULL,
FRECOMORGTEXT VARCHAR(50) DEFAULT ' ' NOT NULL,
FRECOMEROUT VARCHAR(50) DEFAULT ' ' NOT NULL,
FRECOMORGID BIGINT DEFAULT 0 NOT NULL,
FRECOMERID BIGINT DEFAULT 0 NOT NULL,
FRECOMDATE DATETIME,
FRECOMEVA NVARCHAR(255) DEFAULT ' ' NOT NULL,
FENTRYBOIDRECOM BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_SOEBS_PORECOMINFO_L')
 CREATE TABLE T_SOEBS_PORECOMINFO_L (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FPKID VARCHAR(18) DEFAULT ' ' NOT NULL,
FRECOMEVA NVARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_SOEBS_RESEARCHER')
 CREATE TABLE T_SOEBS_RESEARCHER (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER VARCHAR(60) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FSTATUS VARCHAR(2) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FENABLE VARCHAR(2) DEFAULT ' ' NOT NULL,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FSIMPLENAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FDESCRIPTION NVARCHAR(255) DEFAULT ' ' NOT NULL,
FINDEX INT DEFAULT 0 NOT NULL,
FISSYSPRESET CHAR(1) DEFAULT '0' NOT NULL,
FDISABLERID BIGINT DEFAULT 0 NOT NULL,
FDISABLEDATE DATETIME,
FMEETSUBJECT NVARCHAR(50) DEFAULT ' ' NOT NULL,
FMEETLOCATION NVARCHAR(50) DEFAULT ' ' NOT NULL,
FPARTYILLUSTRATE NVARCHAR(50) DEFAULT ' ' NOT NULL,
FREMEETSUBJCET NVARCHAR(50) DEFAULT ' ' NOT NULL,
FREMEETLOCATION NVARCHAR(50) DEFAULT ' ' NOT NULL,
FREMEETILLUSTRATE NVARCHAR(50) DEFAULT ' ' NOT NULL,
FTALKLOCATION NVARCHAR(50) DEFAULT ' ' NOT NULL,
FTALKILLUSTRATE NVARCHAR(50) DEFAULT ' ' NOT NULL,
FREVIWER BIGINT DEFAULT 0 NOT NULL,
FREVIEWILLUSTRATE NVARCHAR(50) DEFAULT ' ' NOT NULL,
FFULLNAME NVARCHAR(50) DEFAULT ' ' NOT NULL,
FGENDER BIGINT DEFAULT 0 NOT NULL,
FCOMPANYID BIGINT DEFAULT 0 NOT NULL,
FADMINORGID BIGINT DEFAULT 0 NOT NULL,
FJOBID BIGINT DEFAULT 0 NOT NULL,
FWORKLOCATION NVARCHAR(50) DEFAULT ' ' NOT NULL,
FSENIORITY NVARCHAR(50) DEFAULT ' ' NOT NULL,
FEMPSTATUSID BIGINT DEFAULT 0 NOT NULL,
FPOSITION BIGINT DEFAULT 0 NOT NULL,
FSTPOSITION BIGINT DEFAULT 0 NOT NULL,
FEMPLOYEEID BIGINT DEFAULT 0 NOT NULL,
FDEPEMPID BIGINT DEFAULT 0 NOT NULL,
FFULLNUMBER VARCHAR(50) DEFAULT ' ' NOT NULL,
FORGID BIGINT DEFAULT 0 NOT NULL,
FSURVERYSTATUS VARCHAR(10) DEFAULT ' ' NOT NULL,
FAPPROVESTATUS VARCHAR(10) DEFAULT ' ' NOT NULL,
FREPORTAPPRID BIGINT DEFAULT 0 NOT NULL,
FREPORTAPPRBILLNO VARCHAR(50) DEFAULT ' ' NOT NULL,
FBAKSURVEY CHAR(1) DEFAULT '0' NOT NULL,
FBAKAPPLY CHAR(1) DEFAULT '0' NOT NULL,
FBAKTRAININFO CHAR(1) DEFAULT '0' NOT NULL,
FBAKRECOMINFO CHAR(1) DEFAULT '0' NOT NULL,
FBAKEXAMINE CHAR(1) DEFAULT '0' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_SOEBS_RESEARCHER_L')
 CREATE TABLE T_SOEBS_RESEARCHER_L (
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FPKID VARCHAR(18) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FSIMPLENAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FDESCRIPTION NVARCHAR(255) DEFAULT ' ' NOT NULL,
FMEETSUBJECT NVARCHAR(50) DEFAULT ' ' NOT NULL,
FMEETLOCATION NVARCHAR(50) DEFAULT ' ' NOT NULL,
FPARTYILLUSTRATE NVARCHAR(50) DEFAULT ' ' NOT NULL,
FREMEETSUBJCET NVARCHAR(50) DEFAULT ' ' NOT NULL,
FREMEETLOCATION NVARCHAR(50) DEFAULT ' ' NOT NULL,
FREMEETILLUSTRATE NVARCHAR(50) DEFAULT ' ' NOT NULL,
FTALKLOCATION NVARCHAR(50) DEFAULT ' ' NOT NULL,
FTALKILLUSTRATE NVARCHAR(50) DEFAULT ' ' NOT NULL,
FREVIWER BIGINT DEFAULT 0 NOT NULL,
FREVIEWILLUSTRATE NVARCHAR(50) DEFAULT ' ' NOT NULL,
FFULLNAME NVARCHAR(50) DEFAULT ' ' NOT NULL,
FWORKLOCATION NVARCHAR(50) DEFAULT ' ' NOT NULL,
FSENIORITY NVARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_SOEBS_RESEARCHER_E')
 CREATE TABLE T_SOEBS_RESEARCHER_E (
FID BIGINT DEFAULT 0 NOT NULL,
FMEETTIME DATETIME,
FMEETCONCLUSION VARCHAR(10) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_SOEBS_RESEARCHER_S')
 CREATE TABLE T_SOEBS_RESEARCHER_S (
FID BIGINT DEFAULT 0 NOT NULL,
FRESEARCHMEET CHAR(1) DEFAULT '0' NOT NULL,
FRESEARCHTALK CHAR(1) DEFAULT '0' NOT NULL,
FPERSONFILEREVIEW CHAR(1) DEFAULT '0' NOT NULL,
FREMEETTIME DATETIME,
FREMEETCONCLUSION VARCHAR(10) DEFAULT ' ' NOT NULL,
FTALKDATE DATETIME,
FTALKOPINION VARCHAR(10) DEFAULT ' ' NOT NULL,
FREVIEWDATE DATETIME,
FREVIEWOPINION VARCHAR(10) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_SOEBS_RESEARCHER_A')
 CREATE TABLE T_SOEBS_RESEARCHER_A (
FID BIGINT DEFAULT 0 NOT NULL,
FAPPDATE DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_SOEBS_REPORTAPPR')
 CREATE TABLE T_SOEBS_REPORTAPPR (
FID BIGINT DEFAULT 0 NOT NULL,
FBILLNO VARCHAR(30) DEFAULT ' ' NOT NULL,
FBILLSTATUS VARCHAR(10) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FAUDITORID BIGINT DEFAULT 0 NOT NULL,
FAUDITDATE DATETIME,
FMODIFYTIME DATETIME,
FCREATETIME DATETIME,
FORGID BIGINT DEFAULT 0 NOT NULL,
FBARCODE VARCHAR(60) DEFAULT ' ' NOT NULL,
FINPUTDEVICETYPE VARCHAR(100) DEFAULT ' ' NOT NULL,
FISEXISTSWORKFLOW CHAR(1) DEFAULT '0' NOT NULL,
FAUDITSTATUS VARCHAR(10) DEFAULT ' ' NOT NULL,
FEVENTEFFECTDATE DATETIME,
FISSUBMIT CHAR(1) DEFAULT '0' NOT NULL,
FMANAGEORG BIGINT DEFAULT 0 NOT NULL,
FIDENSUBJECT NVARCHAR(100) DEFAULT ' ' NOT NULL,
FREPORTORG BIGINT DEFAULT 0 NOT NULL,
FIDENDATE DATETIME,
FREPDATE DATETIME,
FREPORTDESC NVARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_SOEBS_REPORTAPPR_L')
 CREATE TABLE T_SOEBS_REPORTAPPR_L (
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FPKID VARCHAR(18) DEFAULT ' ' NOT NULL,
FIDENSUBJECT NVARCHAR(100) DEFAULT ' ' NOT NULL,
FREPORTDESC NVARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_SOEBS_RSERENTITY')
 CREATE TABLE T_SOEBS_RSERENTITY (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FRESEARCHERID BIGINT DEFAULT 0 NOT NULL,
FAPPROVERESULT VARCHAR(10) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_SOEBS_RESETRAININFO')
 CREATE TABLE T_SOEBS_RESETRAININFO (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FTRAINTARGETID BIGINT DEFAULT 0 NOT NULL,
FTRAINMEASUREID BIGINT DEFAULT 0 NOT NULL,
FTRAINRESULT VARCHAR(10) DEFAULT ' ' NOT NULL,
FTRAINDESC NVARCHAR(500) DEFAULT ' ' NOT NULL,
FENTRYBOIDTRAIN BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_SOEBS_RESERECOMINFO')
 CREATE TABLE T_SOEBS_RESERECOMINFO (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FRECOMORGTYPE VARCHAR(10) DEFAULT ' ' NOT NULL,
FRECOMORGTEXT VARCHAR(50) DEFAULT ' ' NOT NULL,
FRECOMEROUT VARCHAR(50) DEFAULT ' ' NOT NULL,
FRECOMORGID BIGINT DEFAULT 0 NOT NULL,
FRECOMERID BIGINT DEFAULT 0 NOT NULL,
FRECOMDATE DATETIME,
FRECOMEVA NVARCHAR(255) DEFAULT ' ' NOT NULL,
FENTRYBOIDRECOM BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL
);

--
-- IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_SOEBS_RESETRAININFO_L')
--  CREATE TABLE T_SOEBS_RESETRAININFO_L (
-- FENTRYID BIGINT DEFAULT 0 NOT NULL,
-- FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
-- FPKID VARCHAR(18) DEFAULT ' ' NOT NULL,
-- FTRAINDESC NVARCHAR(500) DEFAULT ' ' NOT NULL
-- );


-- IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_SOEBS_RESEPORECOMINFO_L')
--  CREATE TABLE T_SOEBS_RESEPORECOMINFO_L (
-- FENTRYID BIGINT DEFAULT 0 NOT NULL,
-- FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
-- FPKID VARCHAR(18) DEFAULT ' ' NOT NULL,
-- FRECOMEVA NVARCHAR(255) DEFAULT ' ' NOT NULL
-- );



/**End D:\PDM_UPGRADE_1.4\PDM_UPGRADE\PDM1\SOEBS_table.sql **/
