﻿/**Begin D:\PDM_UPGRADE_1.4\PDM_UPGRADE\PDM1\SOEBS_constraint.sql **/
EXEC P_ALTERPK 'PK_SOEBS_CADRECV', 'T_SOEBS_CADRECV', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_SOEBS_CADRECV' AND KSQL_INDNAME = 'IDX_SOEBS_CADRECV_CADREFILEID') CREATE INDEX IDX_SOEBS_CADRECV_CADREFILEID ON T_SOEBS_CADRECV ( FCADREFILEID );


EXEC P_ALTERPK 'PK_SOEBS_CADRECVOTHMEM_L', 'T_SOEBS_CADRECVOTHMEM_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_SOEBS_CADRECVOTHMEM_L' AND KSQL_INDNAME = 'IDX_SOEBS_CADRECVOTHMEM_L') CREATE INDEX IDX_SOEBS_CADRECVOTHMEM_L ON T_SOEBS_CADRECVOTHMEM_L ( FENTRYID ,FLOCALEID );


EXEC P_ALTERPK 'PK_SOEBS_CADRECVEDUEXP_L', 'T_SOEBS_CADRECVEDUEXP_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_SOEBS_CADRECVEDUEXP_L' AND KSQL_INDNAME = 'IDX_SOEBS_CADRECVEDUEXP_L') CREATE INDEX IDX_SOEBS_CADRECVEDUEXP_L ON T_SOEBS_CADRECVEDUEXP_L ( FENTRYID ,FLOCALEID );


EXEC P_ALTERPK 'PK_SOEBS_CADRECVELECTCOND', 'T_SOEBS_CADRECVELECTCOND', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_SOEBS_CADRECVELECTCOND' AND KSQL_INDNAME = 'IDX_SOEBS_CADRECVELECTCOND') CREATE INDEX IDX_SOEBS_CADRECVELECTCOND ON T_SOEBS_CADRECVELECTCOND ( FID );


EXEC P_ALTERPK 'PK_SOEBS_CADRECV_L', 'T_SOEBS_CADRECV_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_SOEBS_CADRECV_L' AND KSQL_INDNAME = 'IDX_SOEBS_CADRECV_L') CREATE INDEX IDX_SOEBS_CADRECV_L ON T_SOEBS_CADRECV_L ( FID ,FLOCALEID );


EXEC P_ALTERPK 'PK_SOEBS_CADRECVWORKEXP', 'T_SOEBS_CADRECVWORKEXP', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_SOEBS_CADRECVWORKEXP' AND KSQL_INDNAME = 'IDX_SOEBS_CADRECVWORKEXP') CREATE INDEX IDX_SOEBS_CADRECVWORKEXP ON T_SOEBS_CADRECVWORKEXP ( FID );


EXEC P_ALTERPK 'PK_SOEBS_CADRECVOTHMEM', 'T_SOEBS_CADRECVOTHMEM', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_SOEBS_CADRECVOTHMEM' AND KSQL_INDNAME = 'IDX_SOEBS_CADRECVOTHMEM') CREATE INDEX IDX_SOEBS_CADRECVOTHMEM ON T_SOEBS_CADRECVOTHMEM ( FID );


EXEC P_ALTERPK 'PK_SOEBS_CADRECVWORKEXP_L', 'T_SOEBS_CADRECVWORKEXP_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_SOEBS_CADRECVWORKEXP_L' AND KSQL_INDNAME = 'IDX_SOEBS_CADRECVWORKEXP_L') CREATE INDEX IDX_SOEBS_CADRECVWORKEXP_L ON T_SOEBS_CADRECVWORKEXP_L ( FENTRYID ,FLOCALEID );


EXEC P_ALTERPK 'PK_SOEBS_ENTRYENTITYTEST', 'T_SOEBS_ENTRYENTITYTEST', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_SOEBS_ENTRYENTITYTEST' AND KSQL_INDNAME = 'IDX_SOEBS_ENTRYENTITYTEST') CREATE INDEX IDX_SOEBS_ENTRYENTITYTEST ON T_SOEBS_ENTRYENTITYTEST ( FID );


EXEC P_ALTERPK 'PK_SOEBS_CADRECVSOCIALREL', 'T_SOEBS_CADRECVSOCIALREL', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_SOEBS_CADRECVSOCIALREL' AND KSQL_INDNAME = 'IDX_SOEBS_CADRECVSOCIALREL') CREATE INDEX IDX_SOEBS_CADRECVSOCIALREL ON T_SOEBS_CADRECVSOCIALREL ( FID );


EXEC P_ALTERPK 'PK_SOEBS_CADRECVSOCIALREL_L', 'T_SOEBS_CADRECVSOCIALREL_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_SOEBS_CADRECVSOCIALREL_L' AND KSQL_INDNAME = 'IDX_SOEBS_CADRECVSOCIALREL_L') CREATE INDEX IDX_SOEBS_CADRECVSOCIALREL_L ON T_SOEBS_CADRECVSOCIALREL_L ( FENTRYID ,FLOCALEID );


EXEC P_ALTERPK 'PK_SOEBS_CADRECVEDUEXP', 'T_SOEBS_CADRECVEDUEXP', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_SOEBS_CADRECVEDUEXP' AND KSQL_INDNAME = 'IDX_SOEBS_CADRECVEDUEXP') CREATE INDEX IDX_SOEBS_CADRECVEDUEXP ON T_SOEBS_CADRECVEDUEXP ( FID );


EXEC P_ALTERPK 'PK_SOEBS_CADRECVELECTCOND_L', 'T_SOEBS_CADRECVELECTCOND_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_SOEBS_CADRECVELECTCOND_L' AND KSQL_INDNAME = 'IDX_SOEBS_CADRECVELECTCOND_L') CREATE INDEX IDX_SOEBS_CADRECVELECTCOND_L ON T_SOEBS_CADRECVELECTCOND_L ( FENTRYID ,FLOCALEID );

EXEC P_ALTERPK 'PK_SOEBS_CADRECV_A', 'T_SOEBS_CADRECV_A', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_SOEBS_CADRECV_A' AND KSQL_INDNAME = 'IDX_SOEBS_CADRECV_URL') CREATE INDEX IDX_SOEBS_CADRECV_URL ON T_SOEBS_CADRECV_A ( FURL );


/**End D:\PDM_UPGRADE_1.4\PDM_UPGRADE\PDM1\SOEBS_constraint.sql **/
/**Begin D:\PDM_UPGRADE\PDM1\SOEBS_constraint.sql **/
 EXEC P_ALTERPK 'PK_SOEBS_RESUMEFIELDCONF', 'T_SOEBS_RESUMEFIELDCONF', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_SOEBS_RESUMEFIELDCONF' AND KSQL_INDNAME = 'IDX_SOEBS_RESUMEFIELDCONF') CREATE INDEX IDX_SOEBS_RESUMEFIELDCONF ON T_SOEBS_RESUMEFIELDCONF ( FFIELDNUMBER );


 EXEC P_ALTERPK 'PK_SOEBS_RESUMEFIELDCONF_L', 'T_SOEBS_RESUMEFIELDCONF_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_SOEBS_RESUMEFIELDCONF_L' AND KSQL_INDNAME = 'IDX_SOEBS_RESUMEFIELDCONF_L') CREATE INDEX IDX_SOEBS_RESUMEFIELDCONF_L ON T_SOEBS_RESUMEFIELDCONF_L ( FLOCALEID ,FID );


 EXEC P_ALTERPK 'PK_SOEBS_RESUMECONFENTRY', 'T_SOEBS_RESUMECONFENTRY', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_SOEBS_RESUMECONFENTRY' AND KSQL_INDNAME = 'IDX_SOEBS_RESUMECONFENTRY') CREATE INDEX IDX_SOEBS_RESUMECONFENTRY ON T_SOEBS_RESUMECONFENTRY ( FID );


 EXEC P_ALTERPK 'PK_SOEBS_RESUMEVIEWCONF', 'T_SOEBS_RESUMEVIEWCONF', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_SOEBS_RESUMEVIEWCONF' AND KSQL_INDNAME = 'IDX_SOEBS_RESUMEVIEWCONF') CREATE INDEX IDX_SOEBS_RESUMEVIEWCONF ON T_SOEBS_RESUMEVIEWCONF ( FNUMBER );


 EXEC P_ALTERPK 'PK_SOEBS_RESUMEVIEWCONF_L', 'T_SOEBS_RESUMEVIEWCONF_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_SOEBS_RESUMEVIEWCONF_L' AND KSQL_INDNAME = 'IDX_SOEBS_RESUMEVIEWCONF_L') CREATE INDEX IDX_SOEBS_RESUMEVIEWCONF_L ON T_SOEBS_RESUMEVIEWCONF_L ( FLOCALEID ,FID );


 EXEC P_ALTERPK 'PK_SOEBS_VIEWFIELD', 'T_SOEBS_VIEWFIELD', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_SOEBS_VIEWFIELD' AND KSQL_INDNAME = 'IDX_SOEBS_VIEWFIELD') CREATE INDEX IDX_SOEBS_VIEWFIELD ON T_SOEBS_VIEWFIELD ( FID );


 EXEC P_ALTERPK 'PK_SOEBS_VIEWFIELD_L', 'T_SOEBS_VIEWFIELD_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_SOEBS_VIEWFIELD_L' AND KSQL_INDNAME = 'IDX_SOEBS_VIEWFIELD_L') CREATE INDEX IDX_SOEBS_VIEWFIELD_L ON T_SOEBS_VIEWFIELD_L ( FLOCALEID ,FENTRYID );



/**End D:\PDM_UPGRADE\PDM1\SOEBS_constraint.sql **/

/**Begin D:\PDM_UPGRADE_1.4\PDM_UPGRADE\PDM1\SOEBS_constraint.sql **/
EXEC P_ALTERPK 'PK_SOEBS_RESUMEVERSIONCONF_L', 'T_SOEBS_RESUMEVERSIONCONF_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_SOEBS_RESUMEVERSIONCONF_L' AND KSQL_INDNAME = 'IDX_SOEBS_RESUMEVERSIONCONF_L') CREATE INDEX IDX_SOEBS_RESUMEVERSIONCONF_L ON T_SOEBS_RESUMEVERSIONCONF_L ( FLOCALEID ,FID );


EXEC P_ALTERPK 'PK_SOEBS_RESUMEVERSIONCONF', 'T_SOEBS_RESUMEVERSIONCONF', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_SOEBS_RESUMEVERSIONCONF' AND KSQL_INDNAME = 'IDX_SOEBS_NUMBER') CREATE INDEX IDX_SOEBS_NUMBER ON T_SOEBS_RESUMEVERSIONCONF ( FNUMBER );



/**End D:\PDM_UPGRADE_1.4\PDM_UPGRADE\PDM1\SOEBS_constraint.sql **/